List all Users
Returns a list of User objects of a specified user type path parameter.
A token owner needs the Users permission (system/acl/users). A user of a non-primary user group sees and manages only the users of that group; other users are not found. Nobody can deactivate or delete their own account. Client-owned tokens receive 403 Forbidden. Requests require an Organization User’s Bearer token; the AutomationV1 key is not supported.
Authorizations
Path Parameters
Query Parameters
Specify additional fields of the OrganizationUser or ClientUser objects to be included in the response.
See the selecting fields page for more information.
basic, all, created_at, updated_at, last_login_at, login_via_badge, is_deleted, roles, default_warehouse Specify additional fields of the OrganizationRole or ClientRole object to be included in the response. See the selecting fields page for more information.
all Using the filtering syntax, you may filter the results using the following fields:
idnameemailusernameis_activecreated_atlast_login_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of up to
limit User objects. If no users are found the array will be empty.
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.